#!/bin/sh

pvmdir=$PVM_BIN
mkdir -p $pvmdir
cp export import1 import2 $pvmdir
echo "quit" | pvm > /dev/null
if test $? -eq 1; then
  exit 1
fi
 
$pvmdir/export &
export=$!
$pvmdir/import1 &
import1=$!
$pvmdir/import2 &
import2=$!
 
wait $export
if test $? -ne 0; then
  exit 1
fi
wait $import1
if test $? -ne 0; then
  exit 1
fi
wait $import2
if test $? -ne 0; then
  exit 1
fi
 
ps -u $USER -o pid,comm | grep pvmd3 > /tmp/pkill-$USER
pid=`awk '{ print $1 }' /tmp/pkill-$USER`
kill -TERM $pid
exit 0
