! user include file for programs using the F90 high level interface
integer :: IC_COLUMN_MAJOR, IC_ROW_MAJOR
integer :: IC_OK, IC_GENERIC_ERROR, IC_INVALID_NDIM
integer :: IC_CANT_ALLOC_REGION, IC_CANT_GET_DA_DESCRIPTOR
integer :: IC_CANT_COMPUTE_COMM_SCHEDULE, IC_COMM_FAILURE
integer :: IC_INVALID_ENDPOINT_NAME, IC_INITIALIZATION_FAILURE
integer :: IC_CANT_CONNECT_TO_REMOTE, IC_PVM_ERROR, IC_MPI_ERROR
integer :: IC_POINTER_TABLE_ERROR
integer :: IC_EPSET_INIT_FAILURE, IC_ARRAY_REGISTER_FAILURE, IC_COMMIT_ARRAY_FAILURE
 
!!!!! the declarations below must be in sync with 
!!!!!  ../PplusplusInterface/IC_EndPoint.h
PARAMETER (IC_ROW_MAJOR = 0, IC_COLUMN_MAJOR = 1)
PARAMETER (IC_OK = 0, IC_GENERIC_ERROR = -1,IC_INVALID_NDIM = -2)
PARAMETER (IC_CANT_ALLOC_REGION = -3, IC_CANT_GET_DA_DESCRIPTOR = -4)
PARAMETER (IC_CANT_COMPUTE_COMM_SCHEDULE = -5, IC_COMM_FAILURE = -6)
PARAMETER (IC_INVALID_ENDPOINT_NAME = -7, IC_INITIALIZATION_FAILURE = -8)
PARAMETER (IC_CANT_CONNECT_TO_REMOTE = -9, IC_PVM_ERROR = -10)
PARAMETER (IC_MPI_ERROR = -11, IC_POINTER_TABLE_ERROR = -12)
PARAMETER (IC_EPSET_INIT_FAILURE=-13, IC_ARRAY_REGISTER_FAILURE=-14)
PARAMETER (IC_COMMIT_ARRAY_FAILURE=-15)
