/*
 * File: descriptor.h
 * $Author: iyoon $
 * $Date: 2009/10/01 21:56:19 $
 *
 * Written by Il-Chul Yoon <iyoon@cs.umd.edu>
 * University of Maryland, College Park
 *
 * Desc: Header file for F90 descriptor function
 */

#include "InterComm.h"

#ifndef F90DESCRIPTOR_H
#define F90DESCRIPTOR_H

extern "C" {

IC_Desc* create_f90_bdecomp_desc(int rank, int* blocks, int* tasks, int count, int* blockstride, int arrayOrder);

}

#endif /* F90DESCRIPTOR_H */
