/** 
 * This is the public interface of InterComm.
 * @file intercomm.h
 * @author Christian Hansen (chansen@cs.umd.edu)
 *         University of Maryland, College Park
 */

#ifndef CPP_INTERCOMM_H
#define CPP_INTERCOMM_H

#define IC_BDECOMP 1
#define IC_TTABLE 2

#define IC_MAX(a,b) ((a) > (b) ? (a) : (b))
#define IC_MIN(a,b) ((a) > (b) ? (b) : (a))
 
#if defined(NSEC_PER_SEC)
#undef NSEC_PER_SEC
#endif
#define NSEC_PER_SEC  1000000000
 
const unsigned IC_MAX_STR = 256;
const unsigned IC_MAX_DIM = 4;

extern "C" {
   #include "../intercomm.h"
}

#endif /* INTERCOMM_H */
