#!/bin/sh

pvmdir=$PVM_BIN
mkdir -p $pvmdir
cp lf90lowlevel rf90lowlevel $pvmdir
echo "quit" | pvm > /dev/null
if test $? -eq 1; then
  exit 1
fi
 
$pvmdir/lf90lowlevel &
left=$!
$pvmdir/rf90lowlevel &
right=$!
 
wait $left
if test $? -ne 0; then
  exit 1
fi
wait $right
if test $? -ne 0; then
  exit 1
fi
 
ps -u $USER -o pid,comm | grep pvmd3 > /tmp/pkill-$USER
pid=`awk '{ print $1 }' /tmp/pkill-$USER`
kill -TERM $pid
exit 0
